<?php
    get_header();
    get_template_part( 'templates/hero-page' );
?>
<div class="<?php echo set_theme_container(); ?>">
    <div id="fourohfour" class="row">
        <main class="col<?php
            if ( get_theme_mod( "perseverance_hide_header" ) ) {
                echo " pt-3";
        }?>">
            <div class="card card-body bg-card-gradient shadow-sm my-auto">
                <div class="row">
                    <div class="col">
                        <h2 class="card-title h3">These things happen...</h2>
                        <p class="card-text">
                            Sometime's you find yourself in an unfamiliar place with no where left to go but a search box on the internet. Been there.
                        </p>
                    </div>
                    <div class="col-lg-4 text-center align-middle">
                        <img width="95px" src="<?php echo get_template_directory_uri(); ?>/assets/images/404-browser-circle.svg" alt="404 image of a browser with a visible warning">
                    </div>
                </div>
                
                <?php get_search_form(); ?>
                <small class="form-text text-muted pl-1">
                    Things can only get better from here. Right?
                </small>
            </div>

            <hr>
        </main>

        <?php require('sidebar.php'); ?>

    </div>
</div>
<?php
    get_template_part( 'templates/content-after' );
    get_footer();
?>