    </div> <!-- /#content -->
    <footer id="footer" class="footer">
        <div class="<?php echo set_theme_container(); ?>">

            <div class="footer-widgets">

                <?php if ( is_active_sidebar( 'footer_left' ) ): ?>
                    <div class="footer-block <?php
                        echo get_theme_mod( "perseverance_footer_text_1" ) . ' ' .
                        get_theme_mod( "perseverance_footer_alignment" );
                    ?>">
                        <?php dynamic_sidebar( 'footer_left' ); ?>
                    </div>
                <?php endif; ?>

                <?php if ( is_active_sidebar( 'footer_mid_left' ) ): ?>
                    <div class="footer-block <?php
                        echo get_theme_mod( "perseverance_footer_text_2" ) . ' ' .
                        get_theme_mod( "perseverance_footer_alignment" );
                    ?>">
                        <?php dynamic_sidebar( 'footer_mid_left' ); ?>
                    </div>
                <?php endif; ?>

                <?php if ( is_active_sidebar( 'footer_mid_right' ) ): ?>
                    <div class="footer-block <?php
                        echo get_theme_mod( "perseverance_footer_text_3" ) . ' ' .
                        get_theme_mod( "perseverance_footer_alignment" );
                    ?>">
                        <?php dynamic_sidebar( 'footer_mid_right' ); ?>
                    </div>
                <?php endif; ?>

                <?php if ( is_active_sidebar( 'footer_right' ) ): ?>
                    <div class="footer-block <?php
                        echo get_theme_mod( "perseverance_footer_text_4" ) . ' ' .
                        get_theme_mod( "perseverance_footer_alignment" );
                    ?>">
                        <?php dynamic_sidebar( 'footer_right' ); ?>
                    </div>
                <?php endif; ?>
                
            </div>

            <div class="row">
                <div class="footer-bottom">
                    <?php
                        if ( is_active_sidebar( 'footer_bottom' ) ):
                            dynamic_sidebar( 'footer_bottom' );
                        elseif ( !get_theme_mod( 'perseverance_theme_businessinfo' ) ):
                            get_template_part( 'templates/social-media' );
                        endif;
                    ?>
                    <div class="top-link">
                        <a href="#top" title="Click to navigate back to top of page">
                            Top <i class="fas fa-chevron-up"></i>
                        </a>
                    </div>

                </div>
            </div>

        </div>
    </footer>
    <?php //get_template_part( 'templates/copyright' ); ?>
    <script src="<?php echo get_template_directory_uri(); ?>/assets/js/jquery.min.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/assets/js/bootstrap.bundle.min.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/assets/js/custom.js"></script>
    <?php wp_footer(); ?>
</body>
