<?php
    get_header();
    
    if ( is_front_page() && is_home() ) {
        get_template_part( 'templates/hero' );
    } else {
        get_template_part( 'templates/hero-page' );
    }
?>

<div class="<?php echo set_theme_container(); ?>">
    <div class="row">
        <main class="col">
        
            <?php
                if ( have_posts() ) :
                
                    while ( have_posts() ) :
                        the_post();

                        the_content();
                    endwhile;
                
                else :
                    
                    get_template_part( 'templates/content', 'none' );
                
                endif;
                
                // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
            ?>

        </main>

        <?php get_sidebar('sidebar'); ?>
    </div>

</div>

<?php
    get_template_part( 'templates/content-after' );
    get_footer();
?>