<div>
    <a href="<?php echo get_home_url(); ?>">
        <?php if ( get_theme_mod( 'perseverance_theme_logo' ) ) : ?>
            <img src="<?php echo get_theme_mod( 'perseverance_theme_logo' ); ?>"
                alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
                width="<?php
                if ( get_theme_mod( 'perseverance_theme_logo_width' ) ) {
                    echo get_theme_mod( 'perseverance_theme_logo_width' );
                } else { 
                    echo 50;
                } ?>" />
        
        <?php else : // add a fallback if the logo doesn't exist ?>
            
            <?php if ( get_theme_mod( 'perseverance_theme_icon' ) ) : ?>
                <i class="<?php echo get_theme_mod( 'perseverance_theme_icon' ) ?>"></i>
            <?php endif; ?>
            
            <?php echo get_bloginfo('name'); ?>
            
        <?php endif; ?>
    </a>
    <small class="d-block mb-3">© <?php echo date("Y"); ?></small>
</div>