<?php if ( !get_theme_mod( "perseverance_hide_header" ) ): ?>
<header class="page-header <?php echo set_page_header(); echo set_header_bottom_pad(); ?>" <?php echo set_page_bgimg(); ?>>
	<div class="<?php echo set_theme_container(); ?>" <?php echo set_page_headerpad(); ?>>
		<div class="row">

			<div class="col">
                <?php
                    if ( is_single() || is_page() ) :
                        the_title('<h1 class="display-4 mb-0">', '</h1>');
                    elseif ( is_archive() ):
                        single_cat_title('<h1 class="display-4 mb-0">', '</h1>');
                        // get_the_excerpt('<p class="lead">', '</p>');
                    elseif ( is_date() ) :
                        the_date();
                    elseif ( is_404() ):
                        echo '<h1 class="display-4 mb-0">Uh oh! You 404\'d</h1>';
                    elseif ( is_search() ):
                        global $wp_query;
                        global $query_string;

                        $total_results = $wp_query->found_posts;
                        wp_parse_str( $query_string, $search_query );
                        $search = new WP_Query( $search_query );

                        echo '<h1 class="display-4 mb-0">Searching for <em>"'. get_search_query() .'"</em>.</h1>';
                    endif;
                    ?>
            </div>
            <?php if ( is_single() ) : ?>
                <div class="col-3 d-flex lead">
                    <p class="ml-auto my-auto">
                        <?php the_date('m/d/Y'); ?>
                    </p>
                </div>
            <?php endif; ?>
		</div>
	</div>
</header>
<?php endif; ?>