<?php 
    get_header();
    get_template_part( 'templates/hero-page' );
?>

<div class="<?php echo set_theme_container(); ?>">
    <div id="archive" class="row">
        <main class="col">

            <?php while ( have_posts() ) : the_post(); ?>

                <div class="card card-body bg-card-gradient shadow-sm my-2">

                    <a class="text-dark" href="<?php the_permalink(); ?>" class="archive-link">
                        <?php the_title( '<h2 class="card-title h4">', '</h2>' ); ?>
                    </a>

                    <div class="d-flex mb-2">
                        <small class="text-muted mr-4">
                            <?php the_date();?>
                        </small>

                        <div class="categories">
                            <?php the_category( ' ' ); ?>
                        </div>

                    </div>

                    <?php the_excerpt(); ?>
                        
                </div>
            
            <?php endwhile; // end of the loop. ?>
            
            <hr>
        </main>

        <?php get_sidebar(); ?>
    
    </div>
</div>

<?php
    get_template_part( 'templates/content-after' );
    get_footer();
?>