<header class="fold <?php echo set_fold_classname(); ?>" <?php echo get_fold_image(); ?>>
    <div class="<?php echo set_theme_container(); ?>">
        <div class="row">

            <div class="col my-auto">
                <h1 class="display-3">
                    <?php echo get_theme_mod( "perseverance_homepage_title" ); ?>
                </h1>
                <p class="lead">
                    <?php echo get_theme_mod( "perseverance_homepage_text" ); ?>
                </p>
            </div>

            <div class="col-lg-5 col-md-8 offset-md-2 offset-lg-0 d-flex flex-column">
                <?php dynamic_sidebar( 'homepage_hero_aside' ); ?>

                <?php if ( !is_active_sidebar( 'homepage_hero' ) ) : ?>
                    <div class="card card-body bg-card-gradient shadow-sm my-auto">
                        <h2 class="card-title h3">Search Our Content!</h2>
                        <p class="card-text">
                            Enter a relevant search term.
                        </p>
                        
                        <?php get_search_form(); ?>
                    </div>
                <?php endif;?>
            </div>

        </div>
    </div>
</header>